package cn.iocoder.yudao.module.order.vo.orderSplit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单拆单 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderSplitBaseVO {

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "父订单编号", required = true)
    @NotNull(message = "父订单编号不能为空")
    private String parentOrderNo;

    @ApiModelProperty(value = "父订单id", required = true)
    @NotNull(message = "父订单id不能为空")
    private Long parentOrderId;

    @ApiModelProperty(value = "初始母订单id")
    private Long initialParentOrderId;

    @ApiModelProperty(value = "初始母订单编号")
    private String initialParentOrderNo;

    @ApiModelProperty(value = "是否重置订单编号")
    private Boolean resetOrderNo;

    @ApiModelProperty(value = "运输方式id", required = true)
    @NotNull(message = "运输方式不能为空")
    private Integer transportId;

    /**
     * 线路ID
     */
    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ApiModelProperty(value = "渠道ID", required = true)
    @NotNull(message = "出货渠道不能为空")
    private Long channelId;

    @ApiModelProperty(value = "目的仓", required = true)
    @NotNull(message = "目的仓不能为空")
    private Long dstWarehouseId;

    @ApiModelProperty(value = "是否master")
    private Boolean isMaster;

    /**
     * 退场订单箱数
     */
    private Integer refundNum;

}
