package cn.iocoder.yudao.module.order.vo.orderWarehousePicture;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单仓库图片查询 VO")
public class OrderWarehousePictureQueryVO {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "图片地址")
    private String url;

    @ApiModelProperty(value = "类型 1订单完成入仓 2 调拨出仓 3调拨到仓 4 订单转异 5订单项入仓 6报关资料 7订单项到仓")
    private Integer type;

    @ApiModelProperty(value = "业务id. type为1/4/6时使用orderId， type为2/3时使用adjustId  type为5/7时使用orderItemId")
    private Long bizId;

    @ApiModelProperty(value = "订单项id集合 后台使用，前端只需要使用type和bizId即可")
    private List<Long> orderItemIdList;

}
